Subject: Re: [Letux-kernel] [PATCH] ARM: omap2plus_defconfig: Fix selected panels after generic panel changes

From: Tomi Valkeinen <[email-masked]>
Date: Mon, 7 Oct 2019 17:29:20 +0300

On 07/10/2019 07:40, Andreas Kemnade wrote:

>>> That's really weird, the driver name, the SPI device table and the OF
>>> device table are the same (except for the "omapdss," prefix that we
>>> don't add anymore in omapdss-boot-init.c). Would you be able to
>>> investigate what broke ?
>>>    
>> in earlier times:
>>
>> root@gta04:/sys/bus/spi/devices/spi4.0# cat modalias
>> spi:tpo,td028ttec1
>>
>> now in 5.4-rc1:
>> root@gta04:/sys/bus/spi/devices/spi4.0# cat modalias
>> spi:td028ttec1
>>
>> root@gta04:~# modinfo /lib/modules/5.4.0-rc1-letux+/kernel/drivers/gpu/drm/panel/panel-tpo-td028ttec1.ko
>> filename:       /lib/modules/5.4.0-rc1-letux+/kernel/drivers/gpu/drm/panel/panel-tpo-td028ttec1.ko
>> license:        GPL
>> description:    Toppoly TD028TTEC1 panel driver
>> author:         H. Nikolaus Schaller <[email-masked]>
>> srcversion:     6B3E224BCD3D76253CF361C
>> alias:          of:N*T*Ctoppoly,td028ttec1C*
>> alias:          of:N*T*Ctoppoly,td028ttec1
>> alias:          of:N*T*Ctpo,td028ttec1C*
>> alias:          of:N*T*Ctpo,td028ttec1
>> alias:          spi:toppoly,td028ttec1
>> alias:          spi:tpo,td028ttec1
>> depends:        drm
>> intree:         Y
>> name:           panel_tpo_td028ttec1
>> vermagic:       5.4.0-rc1-letux+ SMP preempt mod_unload ARMv7 p2v8
>>
>> That alias is not in the list.
>>
> some more research:
> in former times
> of_modalias_node() has stripped the omapdss prefix, result: modalias=spi:tpo,td028ttec1
> now it strips the tpo prefix because there is no omapdss prefix anymore.

I haven't studied this more yet, but yes, I can see of_modalias_node 
stripping the vendor prefix on purpose. I do wonder how this is supposed 
to work, it would make more sense to me to keep the vendor prefix.

Is the spi_device_id supposed to be without vendor prefix? With a quick 
grep, this seems to be the case.

  Tomi

-- 
Texas Instruments Finland Oy, Porkkalankatu 22, 00180 Helsinki.
Y-tunnus/Business ID: 0615521-4. Kotipaikka/Domicile: Helsinki

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel